Identify a pet
Search every pet of the capture session's species for the pet in the images of an identification capture session (1:N). The server searches in a background job. Poll `GET /v2/identification-jobs/{jobId}` with the returned `jobId` for the candidates.
Authorization
VendorApiKeyAuth x-petnow-api-key<token>
An API key from the Petify Console. A server key can call every route. A client (app) key can only create capture sessions and upload images.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.petify.petnow.io/v2/pets:identify" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459" }'{
"success": true,
"data": {
"jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39"
}
}{
"errors": [
{
"code": "PETNOWB2B10001"
}
]
}{
"errors": [
{
"code": "PETNOWB2B10000"
}
]
}{
"errors": [
{
"code": "PETNOWB2B10011"
}
]
}{
"errors": [
{
"code": "PETNOWB2B10010"
}
]
}{
"errors": [
{
"code": "PETNOWB2B20010"
}
]
}